Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.perspective.persist.xml
Class DockingPortNodeSerializer

    java.lang.Object
      org.flexdock.perspective.persist.xml.AbstractLayoutNodeSerializer
          org.flexdock.perspective.persist.xml.DockingPortNodeSerializer

All Implemented Interfaces:
  ISerializer

    public class DockingPortNodeSerializer

extends AbstractLayoutNodeSerializer
implements ISerializer

Created on 2005-06-27

Version:
  $Id: DockingPortNodeSerializer.java,v 1.5 2005-07-06 18:10:49 winnetou25 Exp $
Author:
  Mateusz Szczap

Constructor Summary
`DockingPortNodeSerializer()`

Method Summary
`protected LayoutNode` | `createLayoutNode()`
`Object` | `deserialize(Element element)`
`protected Element` | `getElement(Document document, Object o)`
`Element` | `serialize(Document document, Object object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DockingPortNodeSerializer

    public DockingPortNodeSerializer()

Method Detail

### serialize

    public Element serialize(Document document,
                             Object object)

  Specified by:
    `serialize` in interface `ISerializer`
  Overrides:
    `serialize` in class `AbstractLayoutNodeSerializer`

### getElement

    protected Element getElement(Document document,
                                 Object o)

  Specified by:
    `getElement` in class `AbstractLayoutNodeSerializer`

### deserialize

    public Object deserialize(Element element)

  Specified by:
    `deserialize` in interface `ISerializer`
  Overrides:
    `deserialize` in class `AbstractLayoutNodeSerializer`

### createLayoutNode

    protected LayoutNode createLayoutNode()

  Specified by:
    `createLayoutNode` in class `AbstractLayoutNodeSerializer`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD